---
workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "main" && $CI_COMMIT_TAG' # For tags on main branch
    - if: '$CI_COMMIT_BRANCH == "main"' # For any commits on main branch
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"' # For merge requests

stages:
  - devsecops

services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_DRIVER: overlay2
  TERM: "xterm-256color"

default:
  image: registry.gitlab.com/neosoft-group/practice/devops/public/hub/tools/gitpod/ubuntu:latest

test:
  stage: devsecops
  script:
    - task test
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
